
%global meadversion 7.3.4
%global namedversion 7.3.4.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1

%global fullreltag %{meadalpha}
%global prodversion 6.2

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_without mead

%define base_name jbossas
# jbhomedir is /usr/share/jbossas  (files must be immutable)
%define jbhomedir %{_datadir}/%{base_name}
# jbossdir is /var/lib/jbossas  (any mutable file like logs must go here)
%define jbossdir %{_localstatedir}/lib/%{base_name}

%define maven_version 7.3.4-1.Final_redhat_1.1.ep6.el6

Name: jbossas-product-eap
Version: %{meadversion}
Release: %{serial}%{meadalpha}%{meadrel}%{?dist}
Summary: EAP 6 AS Product Configuration
License: OpenSource
URL:              https://github.com/jbossas/jboss-as
Group: Development/Libraries

%if %with mead
Source102: jbossas-product-eap-7.3.4.Final-redhat-1.zip
Source103: jbossas-product-eap-7.3.4.Final-redhat-1.pom
%endif


Provides:         jbossas-product

BuildRequires:    jpackage-utils

Requires:         jpackage-utils
Requires:         java
Requires:         jbossas-core
Requires(pre):    jbossas-core

BuildArch:        noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

%description
EAP AS 6 Product Configuration, used to customize execution for a product

%prep
unzip %{_sourcedir}/%{name}-%{namedversion}.zip \
      jboss-eap-%{prodversion}/bin/product.conf


%build
                                                                                                     
%install
pushd jboss-eap-%{prodversion}

# Directory for commands and their associated files
install -d -m 755 $RPM_BUILD_ROOT%{jbhomedir}/bin

# Files for the EAP product
%{__cp} -pr bin/product.conf $RPM_BUILD_ROOT%{jbhomedir}/bin

popd
                                                                                                     
### Remove the following as the package R: jbossas-core, avoiding rpmdiff waiving needed manually
###%%%pre
###JBOSS_SHELL=/sbin/nologin
###%%%{_sbindir}/groupadd -r jboss 2>/dev/null || :
###%%%{_sbindir}/useradd -c JBossAS -r -s $JBOSS_SHELL -d %{_localstatedir}/lib/jbossas -g jboss jboss 2>/dev/null || :


%clean
                                                                                                     
%files
%defattr(0644,jboss,jboss,0755)
%dir %{jbhomedir}/bin
# FIXME List files when GA to catch any changes
%{jbhomedir}/bin/product.conf


%changelog
* Fri Jun 13 2014 Permaine Cheung <pcheung@redhat.com> - 7.3.4-1.Final_redhat_1.1
- EAP 6.2.4 CR1

* Tue May 13 2014 Fernando Nasser <fnasser@redhat.com> - 7.3.3-3.Final_redhat_3.1
- EAP 6.2.3 CR3

* Wed Apr 30 2014 Fernando Nasser <fnasser@redhat.com> - 7.3.3-2.Final_redhat_2.1
- EAP 6.2.3 CR2

* Fri Apr 25 2014 Fernando Nasser <fnasser@redhat.com> - 7.3.3-1.Final_redhat_1.1
- EAP 6.2.3 CR1

* Mon Mar 17 2014 Fernando Nasser <fnasser@redhat.com> - 7.3.2-2.Final_redhat_2.1
- EAP 6.2.2 CR3

* Mon Feb 24 2014 Dustin Kut Moy Cheung <dcheung@redhat.com> - 7.3.2-1.Final_redhat_1.3
- EAP 6.2.2 CR1

* Mon Jan 13 2014 Permaine Cheung <pcheung@redhat.com> - 7.3.0-7.Final_redhat_14.1
- Add Requires(pre): jbossas-core so that jbossas-core gets installed first

* Mon Jan 13 2014 Permaine Cheung <pcheung@redhat.com> - 7.3.0-7.Final_redhat_14.1
- Add Requires(pre): jbossas-core so that jbossas-core gets installed first

* Mon Jan 13 2014 Permaine Cheung <pcheung@redhat.com> - 7.3.0-7.Final_redhat_14.1
- Add Requires(pre): jbossas-core so that jbossas-core gets installed first

* Thu Nov 21 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-6.Final_redhat_14.1
- Rebuild for 6.2.CR3

* Thu Nov 21 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-6.Final_redhat_14.1
- Rebuild for 6.2.CR3

* Mon Nov 18 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-5.Final_redhat_13.1
- Rebuild for 6.2.CR2

* Mon Nov 18 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-5.Final_redhat_13.1
- Rebuild for 6.2.CR2

* Wed Oct 30 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-5.Final_redhat_10.1
- EAP 6.2.0 ER7

* Fri Oct 18 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-4.Final_redhat_9.2
- EAP 6.2.0 ER6

* Tue Sep 24 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-2.Final_redhat_6.1
- EAP 6.2.0 ER3

* Wed Aug 21 2013 Permaine Cheung <pcheung@redhat.com> - 7.2.1-7.Final_redhat_10
- EAP 6.1.1 ER7

* Tue Aug 13 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.1-4.Final_redhat_8
- EAP 6.1.1 ER5

* Tue Jul 30 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.1-3.Final_redhat_5
- EAP 6.1.1 ER4

* Wed Jul 17 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.1-3.Final_redhat_4
- EAP 6.1.1 ER3

* Thu May 09 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.0-8.Final_redhat_8
- EAP 6.1.0 ER8

* Wed May 08 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.0-7.Final_redhat_7
- EAP 6.1.0 ER7

* Tue Apr 30 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.0-6.Final_redhat_6
- EAP 6.1.0 ER6

* Wed Apr 17 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.0-5.Final_redhat_5
- EAP 6.1.0 ER5

* Wed Apr 17 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.0-5.Final_redhat_5
- EAP 6.1.0 ER5

* Tue Apr 02 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.0-4.Final_redhat_4
- EAP 6.1.0 ER4

* Tue Mar 05 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.0-3.Final_redhat_3
- EAP 6.1.0 ER3

* Tue Mar 05 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.0-3.Final_redhat_2
- EAP 6.1.0 ER2

* Tue Mar 05 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.0-3.Final_redhat_2
- EAP 6.1.0 ER2

* Thu Nov 22 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.3-4.Final_redhat_4
- EAP 6.0.1 ER4

* Thu Nov 22 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.3-4.Final_redhat_4
- EAP 6.0.1 ER4

* Fri Oct 19 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.3-3.1.Final_redhat_3
- EAP 6.0.1 ER3

* Fri Oct 19 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.3-3.Final_redhat_3
- EAP 6.0.1 ER3

* Fri Oct 19 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.3-3.Final_redhat_3
- EAP 6.0.1 ER3

* Fri Sep 28 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.3-2.1.Final_redhat_2
- Use smaller ZIP as source

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.3-2.Final_redhat_2.1
- Rebuild for MD5

* Mon Sep 17 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.3-2.Final_redhat_2
- EAP 6.0.1 ER2

* Mon Sep 17 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.3-2.Final_redhat_2
- EAP 6.0.1 ER2

* Wed Sep 05 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.3-1.Final_redhat_1
- EAP 6.0.1 ER1

* Mon Jul 30 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.2-11.1.Final_redhat_1
- Rebuild of 6.0.0.GA unsigned

* Mon Jul 30 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.2-11.1.Final_redhat_1
- Rebuild of 6.0.0.GA unsigned

* Mon Jul 30 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.2-11.Final_redhat_1
- Rebuild of 6.0.0.GA unsigned

* Tue May 29 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.2-7.Final_redhat_1
- CR1 build

* Thu May 24 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.2-6.Final_redhat_1
- ER9 build

* Tue May 15 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.2-5.Final_redhat_1
- ER8 build

* Thu May 10 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.2-1.Final
- Upgrade to 7.1.2.Final

*Thu Apr 19 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.1-3.Final
- Rebuild with apache-commons-*-eap6 and some other packages rebuilt w/ fixes

*Wed Apr 11 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.1-2.Final
- Rebuild with -eap6 and some other package fixes

*Fri Mar 30 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.1-1.Final.1
- Upgrade to 7.1.1.Final+  (ER4.1)

* Wed Mar 21 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.0-1.Final_redhat_1
- Wrap MEAD build for EAP 6

